## containerd 0.2.3+git20170126.85.aa8187d~ds1

=== debian/changelog ===
containerd (0.2.3+git20170126.85.aa8187d~ds1-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 11:51:26 +0300

containerd (0.2.3+git20170126.85.aa8187d~ds1-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Actually use DEB_HOST_GNU_TYPE to determine the arch triplet.

  [ Tim Potter ]
  * New upstream snapshot for Docker 1.13.1.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:38:46 +1000

containerd (0.2.3~git20161117.78.03e5862~ds1-2) unstable; urgency=medium

  * Add Breaks line to binary package to avoid messing up previous
    Docker installs.
  * Use DEB_BUILD_GNU_TYPE in debian/rules instead of hardcoding for
    amd64. (Closes: #858266)
  * Suppress binary-without-manpage and spelling-error-in-binary
    Lintian messages.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 09:01:49 +1100

containerd (0.2.3~git20161117.78.03e5862~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Regenerate proto files on each rebuild.

 -- Tim Potter <tpot@hpe.com>  Fri, 27 Jan 2017 12:30:54 +1100

containerd (0.2.1~ds1-3) unstable; urgency=medium

  [ Team upload ]
  * Rebuild proto files against newer version of grpc (Closes: #835736)

 -- Tim Potter <tpot@hpe.com>  Fri, 09 Sep 2016 10:11:54 +1000
