=== debian/rules ===
#!/usr/bin/make -f

# there's Go code in hack/ but nothing we should test/ship 
export DH_GOLANG_EXCLUDES := github.com/docker/containerd/hack github.com/docker/containerd/integration-test

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	# Regenerate proto files for each build
	(cd obj-$(DEB_HOST_GNU_TYPE)/src/github.com/docker/containerd && \
		make -f ../../../../../Makefile protoc)
	dh_auto_build
