=== debian/control ===
Source: containerd
Section: admin
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Shengjing Zhu <zhsj@debian.org>,
Build-Depends: debhelper (>= 11),
               dh-golang,
               go-md2man,
               golang-any,
               golang-github-burntsushi-toml-dev,
#               golang-github-containerd-aufs-dev-FIXME-NEW,
               golang-github-containerd-btrfs-dev,
               golang-github-containerd-cgroups-dev,
               golang-github-containerd-console-dev,
#               golang-github-containerd-continuity-dev-FIXME-UPDATE,
#               golang-github-containerd-cri-dev-FIXME-NEW,
               golang-github-containerd-fifo-dev,
#               golang-github-containerd-go-runc-dev-FIXME-UPDATE,
#               golang-github-containerd-ttrpc-dev-FIXME-NEW,
               golang-github-containerd-typeurl-dev,
#               golang-github-containerd-zfs-dev-FIXME-NEW,
               golang-github-coreos-bbolt-dev,
#               golang-github-docker-distribution-dev-FIXME-UPDATE,
               golang-github-docker-go-events-dev,
               golang-github-docker-go-metrics-dev,
               golang-github-docker-go-units-dev,
               golang-github-gogo-googleapis-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-google-go-cmp-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev (>= 0.1.0~),
               golang-github-opencontainers-runtime-spec-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-urfave-cli-dev,
               golang-gocapability-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-google-grpc-dev,
Standards-Version: 3.9.8
Homepage: https://containerd.io/
Vcs-Git: https://salsa.debian.org/go-team/packages/containerd.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/containerd
XS-Go-Import-Path: github.com/containerd/containerd

Package: containerd
Architecture: linux-any
Breaks: docker.io (<< 1.12)
Depends: runc (>= 0.1.0~), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: open and reliable container runtime
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package contains the binaries.

Package: golang-github-containerd-containerd-dev
Architecture: all
Depends: golang-github-burntsushi-toml-dev,
#         golang-github-containerd-aufs-dev-FIXME-NEW,
         golang-github-containerd-btrfs-dev,
         golang-github-containerd-cgroups-dev,
         golang-github-containerd-console-dev,
#         golang-github-containerd-continuity-dev-FIXME-UPDATE,
#         golang-github-containerd-cri-dev-FIXME-NEW,
         golang-github-containerd-fifo-dev,
#         golang-github-containerd-go-runc-dev-FIXME-UPDATE,
#         golang-github-containerd-ttrpc-dev-FIXME-NEW,
         golang-github-containerd-typeurl-dev,
#         golang-github-containerd-zfs-dev-FIXME-NEW,
         golang-github-coreos-bbolt-dev,
#         golang-github-docker-distribution-dev-FIXME-UPDATE,
         golang-github-docker-go-events-dev,
         golang-github-docker-go-metrics-dev,
         golang-github-docker-go-units-dev,
         golang-github-gogo-googleapis-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev (>= 0.1.0~),
         golang-github-opencontainers-runtime-spec-dev,
         golang-github-pkg-errors-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-urfave-cli-dev,
         golang-gocapability-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-google-grpc-dev,
         ${misc:Depends},
Description: open and reliable container runtime (development files)
 Containerd is an industry-standard container runtime with an emphasis on
 simplicity, robustness and portability. It is available as a daemon for
 Linux and Windows, which can manage the complete container life cycle of
 its host system: image transfer and storage, container execution and
 supervision, low-level storage and network attachments, etc.
 .
 Containerd is designed to be embedded into a larger system, rather than
 being used directly by developers or end-users.
 .
 This package provides development files.
