## containerd 1.2.6

=== debian/changelog ===
containerd (1.2.6-0ubuntu1~16.04.6+esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: Insecure handling of image volumes
    - debian/patches/CVE-2022-23648.patch: Use fs.RootPath when mounting
    volumes.
    - debian/patches/update_cri_to_release_1_4.patch: Update CRI to 1.4.
    - CVE-2022-23648

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 24 Feb 2022 17:34:56 +0000

containerd (1.2.6-0ubuntu1~16.04.6) xenial; urgency=medium

  * d/control: add a Breaks for docker.io lower than 18.09.7-0ubuntu1~16.04.7
    (LP: #1870514). The previous versions stop the docker daemon when a
    containerd update is performed, this Breaks statement will make sure we
    have a newer version which has the appropriate fix.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 11 Dec 2020 09:19:07 -0300

containerd (1.2.6-0ubuntu1~16.04.5) xenial-security; urgency=medium

  * SECURITY UPDATE: Elevation of privilege vulnerability
    - debian/patches/Add-runc.v2-multi-shim_partial2.patch: Add runc.v2
      multi-shim (partially).
    - debian/patches/horten-the-unix-socket-path-for-shim.patch: horten the
      unix socket path for shim.
    - debian/patches/Include-extension-for-shim-binary-format-on-Windows.patch:
      Include extension for shim binary format.
    - debian/patches/CVE-2020-15257.patch: Use path based unix socket for shims
      and use path-based unix socket for containerd-shim.
    - CVE-2020-15257

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 26 Nov 2020 18:31:47 +0000

containerd (1.2.6-0ubuntu1~16.04.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Sensitive information disclosure
    - debian/patches/CVE-2020-15157.patch: Improve fetch function and add
      tests for it.
    - CVE-2020-15157

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 14 Oct 2020 13:21:22 +0000

containerd (1.2.6-0ubuntu1~16.04.3) xenial-security; urgency=medium

  * No change rebuild for the -security pocket

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 03 Jul 2019 08:06:38 -0400

containerd (1.2.6-0ubuntu1~16.04.2) xenial; urgency=medium

  * Increase runc version requirement.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 16 May 2019 15:43:29 +1200

containerd (1.2.6-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to 16.04. (LP: #1824461)
  * Build with golang-1.10-go.
  * Build depend on btrfs-tools, not libbtrfs-dev or btrfs-progs.
  * Re-add Build-Depends: on dh-systemd
  * Disable race testing as go 1.10 race runtime not yet present in Xenial.
  * Add Breaks: docker.io (<= 18.09.3~)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Apr 2019 13:50:23 +1200

containerd (1.2.6-0ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 Apr 2019 12:28:52 +1200
