## containerd 1.2.7

=== debian/changelog ===
containerd (1.2.7-0ubuntu2) eoan; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add Restart=always and RestartSec=2 to the containerd service.
    Also set the containerd OOM adjustment level to -999 (LP: #1835523)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 05 Jul 2019 13:13:39 +0200

containerd (1.2.7-0ubuntu1) eoan; urgency=medium

  * New upstream version 1.2.7 (LP: #1835412)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Jul 2019 13:49:59 +0200
