## containerd 1.2.9

=== debian/changelog ===
containerd (1.2.9-0ubuntu1) eoan; urgency=medium

  * New upstream release.
  * Set GOCACHE to a safely-writeable directory during build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 18 Sep 2019 09:46:57 +0200
