=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 OUR_GOPATH := $(CURDIR)/.gopath
 export GOPATH := $(OUR_GOPATH)
-export PATH := /usr/lib/go-1.10/bin:$(PATH)
+export GOCACHE := $(CURDIR)/.gocache
 
 override_dh_auto_configure:
 	# copy pristine source for "/usr/share/gocode" to get into "golang-github-containerd-containerd-dev" before we muddy it with build artifacts, etc
