## containerd 1.2.10

=== debian/changelog ===
containerd (1.2.10-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Sep 2019 11:31:16 +1300
